org.eclnt.jsfserver.elements.componentnodes

## Class HTTEXTAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HTTEXTAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class HTTEXTAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTEXTAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTTEXTAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `bindEnabled(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `bindStyle(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `bindStyleClass(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `bindText(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `bindValign(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `bindWidth(IDynamicContentBindingObject value)`
    `HTTEXTAREANode` | `setAttributemacro(java.lang.String value)`
    `HTTEXTAREANode` | `setComment(java.lang.String value)`
    `HTTEXTAREANode` | `setConfiginfo(java.lang.String value)`
    `HTTEXTAREANode` | `setEnabled(boolean value)`
    `HTTEXTAREANode` | `setEnabled(java.lang.String value)`
    `HTTEXTAREANode` | `setHeight(int value)`
    `HTTEXTAREANode` | `setHeight(java.lang.String value)`
    `HTTEXTAREANode` | `setId(java.lang.String value)`
    `HTTEXTAREANode` | `setReference(java.lang.String value)`
    `HTTEXTAREANode` | `setRendered(boolean value)`
    `HTTEXTAREANode` | `setRendered(java.lang.String value)`
    `HTTEXTAREANode` | `setStyle(java.lang.String value)`
    `HTTEXTAREANode` | `setStyleClass(java.lang.String value)`
    `HTTEXTAREANode` | `setStylevariant(java.lang.String value)`
    `HTTEXTAREANode` | `setText(java.lang.String value)`
    `HTTEXTAREANode` | `setValign(java.lang.String value)`
    `HTTEXTAREANode` | `setWidth(int value)`
    `HTTEXTAREANode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTEXTAREANode

          public HTTEXTAREANode()

  - ### Method Detail

    - #### setId

          public HTTEXTAREANode setId(java.lang.String value)

    - #### setAttributemacro

          public HTTEXTAREANode setAttributemacro(java.lang.String value)

    - #### setComment

          public HTTEXTAREANode setComment(java.lang.String value)

    - #### bindComment

          public HTTEXTAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HTTEXTAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HTTEXTAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public HTTEXTAREANode setEnabled(java.lang.String value)

    - #### bindEnabled

          public HTTEXTAREANode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public HTTEXTAREANode setEnabled(boolean value)

    - #### setHeight

          public HTTEXTAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public HTTEXTAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HTTEXTAREANode setHeight(int value)

    - #### setReference

          public HTTEXTAREANode setReference(java.lang.String value)

    - #### setRendered

          public HTTEXTAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public HTTEXTAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HTTEXTAREANode setRendered(boolean value)

    - #### setStyle

          public HTTEXTAREANode setStyle(java.lang.String value)

    - #### bindStyle

          public HTTEXTAREANode bindStyle(IDynamicContentBindingObject value)

    - #### setStyleClass

          public HTTEXTAREANode setStyleClass(java.lang.String value)

    - #### bindStyleClass

          public HTTEXTAREANode bindStyleClass(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HTTEXTAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HTTEXTAREANode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public HTTEXTAREANode setText(java.lang.String value)

    - #### bindText

          public HTTEXTAREANode bindText(IDynamicContentBindingObject value)

    - #### setValign

          public HTTEXTAREANode setValign(java.lang.String value)

    - #### bindValign

          public HTTEXTAREANode bindValign(IDynamicContentBindingObject value)

    - #### setWidth

          public HTTEXTAREANode setWidth(java.lang.String value)

    - #### bindWidth

          public HTTEXTAREANode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HTTEXTAREANode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.